scrub-obsolete Package - grcompiler

Ready changes

Diff

diff --git a/debian/changelog b/debian/changelog
index 47a3111..691a40c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+grcompiler (5.2-2.3) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since buster:
+    + Build-Depends: Drop versioned constraint on libicu-dev.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 15 Oct 2021 12:04:04 -0000
+
 grcompiler (5.2-2.2) unstable; urgency=medium
 
   * Non-maintainer upload.
diff --git a/debian/control b/debian/control
index 119099f..5aa4602 100644
--- a/debian/control
+++ b/debian/control
@@ -1,5 +1,5 @@
 Source: grcompiler
-Build-Depends: cmake, debhelper-compat (= 13), docbook2x, pkg-config, libicu-dev (>= 4.2), liblz4-dev
+Build-Depends: cmake, debhelper-compat (= 13), docbook2x, pkg-config, libicu-dev, liblz4-dev
 Section: devel
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>

Run locally

Try this locally (using the package):

debcheckout grcompiler
cd grcompiler
DEB_UPDATE_CHANGELOG=auto deb-scrub-obsolete

More details

Full run details